13 Replies Latest reply on Mar 4, 2013 7:13 PM by dbc_Austin

    Flash Builder 4.6 Installer Error

    dreamingwell

      I'm trying to install Flash Builder 4.6, but I'm getting an error immediately when the installer starts. It says "Beta or prerelease versions of Adobe Flash Builder are installed on the machine, and must be uninstalled before this installation can proceed. Please uninstall these products, restart your computer, then run this installer again."

       

      I do not have any beta version of Flash Builder installed on my machine. I do however have previous releases of FB 3.0, 4.0, and 4.5 installed. I use these to support various projects.

       

      Here are my machine specifications:

       

      2011 Macbook Pro w/ OSX Lion updated to 10.7.2

      100GB of free space

      8 GB of ram

       

      I found the following error messages in the OSX Console app:

       

      11/30/11 10:47:20.001 AM PDApp: CFURLCreateWithString was passed this invalid URL string: '/System/Library/Frameworks/' (a file system path instead of an URL string). The URL created will not work with most file URL functions. CFURLCreateWithFileSystemPath or CFURLCreateWithFileSystemPathRelativeToBase should be used instead.

       

      11/30/11 10:47:20.001 AM [0x0-0x3f83f8].com.adobe.PDApp.setup: 2011-11-30 10:47:20.000 PDApp[6202:407] CFURLCreateWithString was passed this invalid URL string: '/System/Library/Frameworks/' (a file system path instead of an URL string). The URL created will not work with most file URL functions. CFURLCreateWithFileSystemPath or CFURLCreateWithFileSystemPathRelativeToBase should be used instead.